Subject: mail-send and mail-send-and-exit
From: [email-masked] (Chris Searle)

2 Jan 1998 19:00:38 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

Not having a good emacs day today :-(

Mail was working over SMTP.

I haven't used it for a while (couple months?), but recently came 
back to it.

Now, when I call either mail-send or mail-send-and-exit

I get

Wrong type argument: stringp, nil

I've not played here!

RMail is still getting my mail fine.

The only thing that has changed on my system is the addition of a 
network card. This uses both TCP/IP and IPX/SPX over a LAN.  RMail is 
successfully looking at my dial up server, so this should be OK.

Any clues?

Mail setup is

(load-library "smtpmail")
(load-library "rmail")
(add-hook 'mail-setup-hook 'mail-abbrevs-setup)

(setq user-full-name "Chris Searle")
(setq user-mail-address "[email-masked]")

(setq smtpmail-default-smtp-server "post.demon.co.uk")
(setq smtpmail-local-domain nil)
(setq send-mail-function 'smtpmail-send-it)

(setq mail-signature t)
(setq mail-signature-file "~/_signature")

(setenv "MAILHOST" "sdps.demon.co.uk")
(setq rmail-primary-inbox-list 
'("po:searle1")rmail-pop-password-required t)

(setq rmail-delete-after-output t)

Chris Searle
[email-masked]
http://www.searle1.demon.co.uk/
http://www.cix.co.uk/~csearle/
See http://www.searle1.demon.co.uk/ for PGP keys
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".